#include<fstream.h>
bool pat(int mas[][2],int num)
{
	int ind1=-1,ind2=-1,i;
	for(i=0;i<3;i++)
		if(num!=i)
		if(mas[num][0]==mas[i][0] || mas[num][0]==mas[i][1])
		{
			ind1=i;
			break;
		}
	for(i=0;i<3;i++)
		if(num!=i)
		if(mas[num][1]==mas[i][0] || mas[num][1]==mas[i][1])
		{
			ind2=i;
			break;
		}
	if(ind1==-1 || ind2==-1)return false;
	return ind1!=ind2;
}
int main()
{
	ifstream cin("box.in");
	ofstream cout("box.out");
	int mas[6][2],i,t,j;
	for(i=0;i<6;i++)
	{
		cin>>mas[i][0]>>mas[i][1];
		if(mas[i][0]>mas[i][1])
		{
			t=mas[i][0];
			mas[i][0]=mas[i][1];
			mas[i][1]=t;
		}
	}
	int Koxm[3][2],ind=0;
	for(i=0;i<6;i++)
		for(j=i+1;j<6;j++)
			if(mas[i][0]==mas[j][0] && mas[i][1]==mas[j][1] && mas[i][0]!=-1)
			{
				Koxm[ind][0]=mas[i][0];
				Koxm[ind][1]=mas[i][1];
				ind++;
				mas[j][0]=-1;mas[j][1]=-1;
				break;
			}
	if(ind==3)
	{
		if(pat(Koxm,0) && pat(Koxm,1) && pat(Koxm,2))cout<<"POSSIBLE"<<endl;
		else cout<<"IMPOSSIBLE"<<endl;
	}
	else cout<<"IMPOSSIBLE"<<endl;
	cin.close();
	cout.close();
	return 0;
}